GraphicsMagick

- Home
- Project
- Download
- Install
- Source
- News
- Utilities
- Programming
- Reference

# decorate

Add decorative frames and borders

Contents

- BorderImage

- FrameImage

- RaiseImage

# BorderImage

## Synopsis

    Image *BorderImage( const Image *image, const RectangleInfo *border_info,
                        ExceptionInfo *exception );

## Description

BorderImage() surrounds the image with a border of the color defined by the bordercolor member of the image structure. The width and height of the border are defined by the corresponding members of the border_info structure.

The format of the BorderImage method is:

    Image *BorderImage( const Image *image, const RectangleInfo *border_info,
                        ExceptionInfo *exception );

image:

  The image.

border_info:

  Define the width and height of the border.

exception:

  Return any errors or warnings in this structure.

# FrameImage

## Synopsis

    Image *FrameImage( const Image *image, const FrameInfo *frame_info,
                       ExceptionInfo *exception );

## Description

FrameImage() adds a simulated three-dimensional border around the image. The color of the border is defined by the matte_color member of image. Members width and height of frame_info specify the border width of the vertical and horizontal sides of the frame. Members inner and outer indicate the width of the inner and outer shadows of the frame.

The format of the FrameImage method is:

    Image *FrameImage( const Image *image, const FrameInfo *frame_info,
                       ExceptionInfo *exception );

image:

  The image.

frame_info:

  Define the width and height of the frame and its bevels.

exception:

  Return any errors or warnings in this structure.

# RaiseImage

## Synopsis

    unsigned int RaiseImage( Image *image, const RectangleInfo *raise_info,
                             const int raise_flag );

## Description

RaiseImage() creates a simulated three-dimensional button-like effect by lightening and darkening the edges of the image. Members width and height of raise_info define the width of the vertical and horizontal edge of the effect.

The format of the RaiseImage method is:

    unsigned int RaiseImage( Image *image, const RectangleInfo *raise_info,
                             const int raise_flag );

image:

  The image.

raise_info:

  Define the width and height of the raise area.

raise_flag:

  A value other than zero creates a 3-D raise effect, otherwise it has a lowered effect.

Copyright © GraphicsMagick Group 2002 - 2023